/* 
 * Загрузка конфигурации
 */

(function () {

  var namespace = require('ns3');
  var Config = namespace('app.libs.Config');

  var path1 = __dirname + '/config/main.json';
  var path2 = __dirname + '/config/main-local.json';

  var config = new Config(path1, path2);
  config.on('error', function (err) {
    console.log('........LOAD APP CONFIGURATION ................................. ERROR');
    throw err;
  });
  if (config.initialize()) {
    console.log('........LOAD APP CONFIGURATION ................................. OK');
  }

  namespace('app.config', config);

})();